This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 60824 - kernel oops in insmod
kernel oops in insmod
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-07 08:19 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-07 08:19:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
The kernel (kernel-2.4.9-31)sometime oopses when accessing a smb mounted drive.
This happens
during the insmod. Seems to happen only when the drive has not been accessed for
a while (autoload)?

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.mount a smb drive
2.useit
3.stop using it
4.use it some more
	

Actual Results:  smb_trans2_request: result=-104, setting invalid
smb_retry: successful, new pid=843, generation=2
Unable to handle kernel paging request at virtual address f8000000
 printing eip:
f8907c30
*pde = 00000000
Oops: 0000
Kernel 2.4.9-31
CPU:    0
EIP:    0010:[<f8907c30>]    Not tainted
EFLAGS: 00010293
EIP is at __insmod_smbfs_S.text_L25600 [smbfs] 0x3bd0 
eax: 4a8053a9   ebx: d71a51a7   ecx: fd8b53fd   edx: 4219aa55
esi: f8000000   edi: e8f8de2c   ebp: e8f8dec0   esp: e8f8ddec
ds: 0018   es: 0018   ss: 0018
Process du (pid: 18066, stackpage=e8f8d000)
Stack: 00000000 00000000 00000000 e8ec4900 e8ec5620 00000000 0005f556 00000000 
       00000000 00000000 e8ec3000 00000041 00000000 ffffffea 00000001 00000043 
       e8f8de90 00000000 f8929bb0 c01440e0 f58b5000 f8906311 ee412a40 e8f8dfa0 
Call Trace: [<c01440e0>] filldir64 [kernel] 0x0 
[<f8906311>] __insmod_smbfs_S.text_L25600 [smbfs] 0x22b1 
[<c01440e0>] filldir64 [kernel] 0x0 
[<f8907296>] __insmod_smbfs_S.text_L25600 [smbfs] 0x3236 
[<c01440e0>] filldir64 [kernel] 0x0 
[<c013fc0d>] cached_lookup [kernel] 0x2d 
[<c0143d00>] vfs_readdir [kernel] 0x60 
[<c01440e0>] filldir64 [kernel] 0x0 
[<c014426f>] sys_getdents64 [kernel] 0x4f 
[<c01440e0>] filldir64 [kernel] 0x0 
[<c0106f3b>] system_call [kernel] 0x33 


Code: 0f b6 06 49 46 89 c2 c1 e8 04 c1 e2 04 8d 14 1a 01 c2 83 f9 


Additional info:
Comment 1 Need Real Name 2002-03-09 06:52:46 EST
Got the exact same oops again. The autoload theory doesn't seem to hold as I had
just accessed the root of the smb share and done an ls there and got the result
(just after booting). Then I cd-ed into a directory and did ls again and got the
oops. This only happens on 2.4.9-31, not 2.4.9-13.
Comment 2 Arjan van de Ven 2002-03-11 08:27:14 EST
Can you try the 2.4.9-31.1 kernel at
http://people.redhat.com/arjanv/testkernels

it has a fix for an smbfs oops
Comment 3 Need Real Name 2002-03-11 09:15:09 EST
So far so good. Not been using it for long though but it didn't usually
take long to get an oops.

Got this in my dmesg:
smb_proc_readdir_long: name=<filename removed>:2568sla_files\*, result=-2,
rcls=1, err=2
Comment 4 Bugzilla owner 2004-09-30 11:39:24 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.